Click or drag to resize

BrepCreateBlendSurface Method

Makes a surface blend between two surface edges.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Brep[] CreateBlendSurface(
	BrepFace face0,
	BrepEdge edge0,
	Interval domain0,
	bool rev0,
	BlendContinuity continuity0,
	BrepFace face1,
	BrepEdge edge1,
	Interval domain1,
	bool rev1,
	BlendContinuity continuity1
)

Parameters

face0
Type: Rhino.GeometryBrepFace
First face to blend from.
edge0
Type: Rhino.GeometryBrepEdge
First edge to blend from.
domain0
Type: Rhino.GeometryInterval
The domain of edge0 to use.
rev0
Type: SystemBoolean
If false, edge0 will be used in its natural direction. If true, edge0 will be used in the reversed direction.
continuity0
Type: Rhino.GeometryBlendContinuity
Continuity for the blend at the start.
face1
Type: Rhino.GeometryBrepFace
Second face to blend from.
edge1
Type: Rhino.GeometryBrepEdge
Second edge to blend from.
domain1
Type: Rhino.GeometryInterval
The domain of edge1 to use.
rev1
Type: SystemBoolean
If false, edge1 will be used in its natural direction. If true, edge1 will be used in the reversed direction.
continuity1
Type: Rhino.GeometryBlendContinuity
Continuity for the blend at the end.

Return Value

Type: Brep
Array of Breps if successful.
Version Information

Rhino for Windows

Supported in: 6.6
See Also